Toggle Schedule
curl --request PATCH \
--url https://production.trackstarhq.com/schedules/{function_name}/toggle \
--header 'Content-Type: application/json' \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>' \
--data '{
"paused": true
}'import requests
url = "https://production.trackstarhq.com/schedules/{function_name}/toggle"
payload = { "paused": True }
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({paused: true})
};
fetch('https://production.trackstarhq.com/schedules/{function_name}/toggle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "example-id-123",
"object": "connection",
"updated": true
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Admin API Reference
Toggle Schedule
Pause or unpause a schedule for the connection associated with your access token.
PATCH
/
schedules
/
{function_name}
/
toggle
Toggle Schedule
Headers
Your organization-level Trackstar API key.
Example:
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
Example:
"<x-trackstar-access-token>"
Path Parameters
Body
application/json
Whether the schedule is paused.
Example:
true
⌘I